REMOVEPKG(8)

NOM
removepkg - enlève des paquets Slackware.

SYNOPSIS
removepkg nomdepaquet

[ ROOT=/mnt ] removepkg [ -copy ] [ -keep ] [ -preserve ] [ -warn ] nomdepaquet

DESCRIPTION
removepkg enlève un paquet précédemment installé, tout en produisant un rapport d'avancement sur la sortie standard. Un paquet peut être spécifié par le nom de fichier en entier (tel que listé dans /var/log/packages/), ou par la base du nom de paquet. Par exemple, le fichier foo-1.0-i486-1.tgz pourrait être supprimé par l'une ou l'autre des commandes suivante : removepkg foo-1.0-i486-1.tgz (les extensions .tbz, .tlz, .txz sont aussi reconnues) removepkg foo-1.0-i486-1 removepkg foo.tgz removepkg foo Avant de supprimer des fichiers, removepkg analyse le contenu des autres paquets installés sur votre système, et supprimera seulement ceux qui ne se trouvent que dans le paquet à enlever. De même, les scripts d'installation de tous les autres paquets seront examinés avant de décider de supprimer ou non les liens symboliques du paquet.

Enlever un paquet (de même qu'en installer un) peut être une entreprise dangereuse. C'est pour cela que l'option -warn est disponible. Quand vous l'utilisez, removepkg ne supprime effectivement aucun fichier ou lien, mais produit un rapport détaillé de ce qu'il ferait si vous enleviez effectivement le paquet. Il vous est suggéré d'utiliser cette option (et peut-être de transférer le résultat vers less) avant d'enlever des paquets pour vous assurer d'avoir sauvegardé tout ce qui pourrait être important.

Quand vous enlevez un paquet, son fichier d'index est déplacé de /var/log/packages à /var/log/removed_packages. De même son script d'installation est déplacé de /var/log/scripts à /var/log/removed_scripts.

OPTIONS

-warn nomdepaquet
    Affiche sur la sortie standard un rapport indiquant quels fichiers et répertoires seraient supprimés, mais n'enlève pas réellement le paquet.

-preserve nomdepaquet
    Si cette option est utilisée, l'arborescence complète du paquet sera reconstruite dans /var/log/setup/tmp/preserved_packages/nomdupaquet.

-copy nomdepaquet
    Construit une copie du paquet sous le nom/var/log/setup/tmp/preserved_packages/packagename, mais ne le supprime pas (même effet que -warn -preserve)

-keep
    Sauvegarde les fichiers intermédiaires créés par removepkg (delete_list, required_files, uniq_list, del_link_list, required_links, required_list). Surtout utiles aux fins de déverminage.

Il est possible de supprimer un paquet d'un système de fichiers autre que / en fournissant à removepkg une variable d'environnement ROOT :

ROOT=/mnt removepkg nomdepaquet

AUTEURS
Patrick J. Volkerding <volkerdi@slackware.com>, avec améliorations par Christian Franke <c.franke@acm.org>

VOIR AUSSI
installpkg(8), makepkg(8), pkgtool(8), upgradepkg(8)